Welcome to Cloud Jim, try to keep up
 
Error Message:
/var/lib/gems/1.8/gems/execjs-1.2.9/lib/execjs/runtimes.rb:47:in `autodetect': Could not find a JavaScript runtime. See https://github.com/sstephenson/execjs for a list of available runtimes. (ExecJS::RuntimeUnavailable)

Add following to the Gemfile:
gem 'therubyracer'